## qubes-usb-proxy 1.0.20%2Bdeb8u1

=== debian/changelog ===
qubes-usb-proxy (1.0.20+deb8u1) jessie; urgency=medium

  * Build for jessie

 -- Builder <user@localhost>  Fri, 08 Mar 2019 03:01:30 +0100

qubes-usb-proxy (1.0.20) unstable; urgency=medium

  [ Nicco Kunzmann ]
  * Clarify how to install this package sucurely
  * Add error message with source

  [ Marek Marczykowski-Górecki ]
  * Automatically re-connect persistent device when it gets plugged back
  * tests: verify automatic re-connection of the device
  * rpm: fix dom0 spec file
  * travis: add R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Mar 2019 03:01:30 +0100

qubes-usb-proxy (1.0.19) unstable; urgency=medium

  * tests: skip test for whonix-gw
  * rpm: fix build dependencies for dom0 package
  * travis: update Fedora and Debian versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 04:44:11 +0200

qubes-usb-proxy (1.0.18) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * tests: mark attach_not_installed_back with expectedFailure

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * spec.in: add changelog placeholder

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 07 May 2018 19:53:03 +0200

qubes-usb-proxy (1.0.17) unstable; urgency=medium

  * Restore workaround for typo in usbip port status header

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Mar 2018 02:40:53 +0100

qubes-usb-proxy (1.0.16) unstable; urgency=medium

  * core3ext: do not include dom0 devices by default
  * core3ext: attach devices in -pre event
  * core3ext: send device-list-change event on backend domain shutdown

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 13 Feb 2018 05:17:46 +0100

qubes-usb-proxy (1.0.15) unstable; urgency=medium

  * Depends on usbutils

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 22 Jan 2018 21:31:56 +0100

qubes-usb-proxy (1.0.14) unstable; urgency=medium

  * Fix handling SuperSpeed port numbers

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 19 Jan 2018 04:36:01 +0100

qubes-usb-proxy (1.0.13) unstable; urgency=medium

  * Fix device path for kernel >= 4.13
  * Add support for USB3
  * tests: mark attach_not_installed_back with expectedFailure
  * tests: install python modules for both python2 and python3
  * tests: load dummy-hcd module
  * tests: update core3 tests for the final API and python3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 18 Jan 2018 17:37:01 +0100

qubes-usb-proxy (1.0.12) unstable; urgency=medium

  [ Nedyalko Andreev ]
  * Add a simple PKGBUILD file for archlinux builds

  [ Marek Marczykowski-Górecki ]
  * Fix VM startup with USB device assigned (core3)
  * core3: do not fail listing on devices without description
  * Improve error message when backend fails to send device info

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 21 Nov 2017 05:07:11 +0100

qubes-usb-proxy (1.0.11) unstable; urgency=medium

  * core3: ignore non-ascii characters in device description

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 11 Aug 2017 13:35:02 +0200

qubes-usb-proxy (1.0.10) unstable; urgency=medium

  * core3: fix qdb->untrusted_qdb in one more place
  * core3: hide device hardware id ni description

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 29 Jul 2017 14:27:49 +0200

qubes-usb-proxy (1.0.9) unstable; urgency=medium

  * Follow vm.qdb -> vm.untrusted_qdb rename
  * core3: follow change of qdb.list return type
  * core3: translate QubesDB changes into device-list-change event

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 29 Jul 2017 05:35:00 +0200

qubes-usb-proxy (1.0.8) unstable; urgency=medium

  * Do not use sudo if already running as root
  * Migrate core3 extension to Python3, adjust to updated API (part 2)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Jul 2017 02:45:50 +0200

qubes-usb-proxy (1.0.7) unstable; urgency=medium

  * Adjust to updated API (part 2)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 26 Jun 2017 12:45:30 +0200

qubes-usb-proxy (1.0.6) unstable; urgency=medium

  * Add core3 integration
  * tests: core3 integration
  * rpm: include egg-info directory
  * Add required lxml to setup.py
  * travis: drop debootstrap workaround
  * core3: allow devices connected to hubs
  * travis: add Qubes 4.0 builds
  * Migrate core3 extension to Python3, adjust to updated API (part 1)
  * rpm: fix build dependencies (migration to python3)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 24 Jun 2017 10:34:35 +0200

qubes-usb-proxy (1.0.5) wheezy; urgency=medium

  * Fix bash-ism one more time

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 19 Jul 2016 01:44:11 +0200

qubes-usb-proxy (1.0.4) wheezy; urgency=medium

  * Prefer reporting error code from backend domain
  * tests: handle package not installed errors
  * rpm: use `version` file for dom0 package too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 12 Jul 2016 06:23:29 +0200

qubes-usb-proxy (1.0.3) wheezy; urgency=medium

  * Fix detecting disconnected device
  * Fix announcing where device is connected

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 03 Jul 2016 23:30:09 +0200

qubes-usb-proxy (1.0.2) wheezy; urgency=medium

  * One more bash-related fix
  * tests: increase wait time for device disconnection

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 24 Jun 2016 22:44:26 +0200

qubes-usb-proxy (1.0.1) wheezy; urgency=medium

  * Don't use bash-specific features
  * rpm: use `version` file for package version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 18 Jun 2016 02:10:56 +0200

qubes-usb-proxy (1.0.0) wheezy; urgency=medium

  * 



## qubes-usb-proxy 1.0.20%2Bdeb9u1

=== debian/changelog ===
qubes-usb-proxy (1.0.20+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 08 Mar 2019 03:01:30 +0100

## qubes-usb-proxy 1.0.20%2Bdeb10u1

=== Makefile ===
install-vm:
	install -d $(DESTDIR)/etc/qubes-rpc
	install qubes-rpc/qubes.USBAttach $(DESTDIR)/etc/qubes-rpc
	install qubes-rpc/qubes.USBDetach $(DESTDIR)/etc/qubes-rpc
	install qubes-rpc/qubes.USB $(DESTDIR)/etc/qubes-rpc
	install -d $(DESTDIR)/usr/lib/qubes
	install src/usb-* $(DESTDIR)/usr/lib/qubes

PYTHON2_SITELIB ?= $(shell python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")

install-dom0:
	python2 setup.py install -O1 --root $(DESTDIR)
	rm -f $(DESTDIR)$(PYTHON2_SITELIB)/qubesusbproxy/core3ext.py
	python3 setup.py install -O1 --root $(DESTDIR)
	install -D -m 0664 qubes-rpc/qubes.USB.policy $(DESTDIR)/etc/qubes-rpc/policy/qubes.USB

=== debian/changelog ===
qubes-usb-proxy (1.0.20+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 08 Mar 2019 03:01:30 +0100

## qubes-usb-proxy 1.0.21%2Bdeb9u1

=== debian/changelog ===
qubes-usb-proxy (1.0.21+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 16 May 2019 20:12:29 +0200

qubes-usb-proxy (1.0.21) unstable; urgency=medium

  [ Malte Leip ]
  * usb-export: always unbind from current driver

  [ Nicco Kunzmann ]
  * Add error message with source
  * Clarify how to install this package securely

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 16 May 2019 20:12:29 +0200

## qubes-usb-proxy 1.0.21%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.0.21+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Thu, 16 May 2019 20:12:29 +0200

## qubes-usb-proxy 1.0.21%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.0.21+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 16 May 2019 20:12:29 +0200

## qubes-usb-proxy 1.0.22%2Bdeb8u1

=== debian/changelog ===
qubes-usb-proxy (1.0.22+deb8u1) jessie; urgency=medium

  * Build for jessie

 -- Builder <user@localhost>  Thu, 10 Oct 2019 14:51:43 +0200

qubes-usb-proxy (1.0.22) wheezy; urgency=medium

  * Fix granting/revoking qubes.USB service access
  * travis: switch to xenial, drop R3.2, update distros

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 10 Oct 2019 14:51:43 +0200

## qubes-usb-proxy 1.0.22%2Bdeb9u1

=== debian/changelog ===
qubes-usb-proxy (1.0.22+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 10 Oct 2019 14:51:43 +0200

## qubes-usb-proxy 1.0.22%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.0.22+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Thu, 10 Oct 2019 14:51:43 +0200

## qubes-usb-proxy 1.0.22%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.0.22+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 10 Oct 2019 14:51:43 +0200

## qubes-usb-proxy 1.0.23%2Bdeb9u1

=== debian/changelog ===
qubes-usb-proxy (1.0.23+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Tue, 10 Dec 2019 17:27:03 +0100

qubes-usb-proxy (1.0.23) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Marek Marczykowski-Górecki ]
  * Send events even when device is attached/detached by alternative
    method
  * Ensure dom0 receives events on attach/detach

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 10 Dec 2019 17:27:03 +0100

## qubes-usb-proxy 1.0.23%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.0.23+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Tue, 10 Dec 2019 17:27:03 +0100

## qubes-usb-proxy 1.0.23%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.0.23+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 10 Dec 2019 17:27:03 +0100

## qubes-usb-proxy 1.0.24%2Bdeb9u1

=== debian/changelog ===
qubes-usb-proxy (1.0.24+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 11 Dec 2019 06:00:23 +0100

qubes-usb-proxy (1.0.24) unstable; urgency=medium

  * Fix device cache initialization

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 11 Dec 2019 06:00:23 +0100

## qubes-usb-proxy 1.0.24%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.0.24+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 11 Dec 2019 06:00:23 +0100

## qubes-usb-proxy 1.0.24%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.0.24+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 11 Dec 2019 06:00:23 +0100

## qubes-usb-proxy 1.0.25%2Bdeb9u1

=== debian/changelog ===
qubes-usb-proxy (1.0.25+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 06 Jan 2020 03:33:59 +0100

qubes-usb-proxy (1.0.25) unstable; urgency=medium

  * Add attach timeout
  * Don't include python2 tests on new dom0 (based on >f28)
  * travis: switch R4.1 to fc31 dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 06 Jan 2020 03:33:59 +0100

=== debian/control ===
Source: qubes-usb-proxy
Section: utils
Priority: optional
Maintainer: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage:  http://www.qubes-os.org

Package: qubes-usb-proxy
Architecture: any
Depends: ${shlibs:Depends}, qubes-core-agent(>=3.2.0), usbutils
Description: USBIP wrapper to run it over Qubes RPC connection
 This package wraps USBIP connection in Qubes RPC, which makes it possible to
 passthrough USB device between qubes, without enabling networking between
 them.

## qubes-usb-proxy 1.0.25%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.0.25+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Mon, 06 Jan 2020 03:33:59 +0100

## qubes-usb-proxy 1.0.25%2Bdeb11u1

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,11 @@
 
 PYTHON2_SITELIB ?= $(shell python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")
 
-install-dom0:
+install-dom0-py2:
 	python2 setup.py install -O1 --root $(DESTDIR)
 	rm -f $(DESTDIR)$(PYTHON2_SITELIB)/qubesusbproxy/core3ext.py
+
+install-dom0:
 	python3 setup.py install -O1 --root $(DESTDIR)
 	install -D -m 0664 qubes-rpc/qubes.USB.policy $(DESTDIR)/etc/qubes-rpc/policy/qubes.USB

=== debian/changelog ===
qubes-usb-proxy (1.0.25+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 06 Jan 2020 03:33:59 +0100

## qubes-usb-proxy 1.0.26%2Bdeb9u1

=== debian/changelog ===
qubes-usb-proxy (1.0.26+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 08 Jan 2020 00:07:23 +0100

qubes-usb-proxy (1.0.26) unstable; urgency=medium

  * Fix attach timeout handling

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 08 Jan 2020 00:07:23 +0100

## qubes-usb-proxy 1.0.26%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.0.26+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 08 Jan 2020 00:07:23 +0100

## qubes-usb-proxy 1.0.26%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.0.26+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 08 Jan 2020 00:07:23 +0100

## qubes-usb-proxy 1.0.27%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.0.27+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 17 Jan 2020 04:22:13 +0100

qubes-usb-proxy (1.0.27) unstable; urgency=medium

  * Clear cache when Qubes() object is getting destroyed

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 17 Jan 2020 04:22:13 +0100

## qubes-usb-proxy 1.0.27%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.0.27+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 17 Jan 2020 04:22:13 +0100

## qubes-usb-proxy 1.0.28%2Bdeb9u1

=== debian/changelog ===
qubes-usb-proxy (1.0.28+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 01 Apr 2020 02:56:10 +0200

qubes-usb-proxy (1.0.28) unstable; urgency=medium

  * tests: adjust delay after removing/detaching device
  * Keep the process running to not close qrexec connection prematurely

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 Apr 2020 02:56:10 +0200

## qubes-usb-proxy 1.0.28%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.0.28+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 01 Apr 2020 02:56:10 +0200

## qubes-usb-proxy 1.0.28%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.0.28+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 01 Apr 2020 02:56:10 +0200

## qubes-usb-proxy 1.0.29%2Bdeb9u1

=== debian/changelog ===
qubes-usb-proxy (1.0.29+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 15 Aug 2020 01:37:39 +0200

qubes-usb-proxy (1.0.29) wheezy; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update travis

  [ Marek Marczykowski-Górecki ]
  * Add Super Speed Plus (10000) to allowed speed values

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 15 Aug 2020 01:37:39 +0200

## qubes-usb-proxy 1.0.29%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.0.29+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sat, 15 Aug 2020 01:37:39 +0200

## qubes-usb-proxy 1.0.29%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.0.29+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 15 Aug 2020 01:37:39 +0200

## qubes-usb-proxy 1.0.30%2Bdeb9u1

=== debian/changelog ===
qubes-usb-proxy (1.0.30+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 23 May 2021 17:28:58 +0200

qubes-usb-proxy (1.0.30) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 23 May 2021 17:28:58 +0200

## qubes-usb-proxy 1.0.30%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.0.30+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sun, 23 May 2021 17:28:58 +0200

## qubes-usb-proxy 1.0.30%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.0.30+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 23 May 2021 17:28:58 +0200

## qubes-usb-proxy 1.1.0%2Bdeb9u1

=== debian/changelog ===
qubes-usb-proxy (1.1.0+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 10 Jul 2021 05:20:24 +0200

qubes-usb-proxy (1.1.0) unstable; urgency=medium

  [ Dmitry Fedorov ]
  * winusb: attach usb device to stubdom if feature enabled
  * winusb: test usb device in stubdom
  * winusb: Write guest domain to the qubesdb when device connected to
    stubdom
  * winusb: make modprobe and udevadm usage optional
  * winusb: fix feature naming
  * winusb: remove redundant rules
  * winusb: fix feature naming

  [ Marek Marczykowski-Górecki ]
  * Make it work on R4.0 too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jul 2021 05:20:24 +0200

## qubes-usb-proxy 1.1.0%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.1.0+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sat, 10 Jul 2021 05:20:24 +0200

## qubes-usb-proxy 1.1.0%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.1.0+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 10 Jul 2021 05:20:24 +0200

## qubes-usb-proxy 1.1.1%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.1.1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 10 Sep 2021 13:11:39 +0200

qubes-usb-proxy (1.1.1) unstable; urgency=medium

  * Fix checking if modprobe is available
  * tests: increase timeout for device reconnect

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 10 Sep 2021 13:11:39 +0200

## qubes-usb-proxy 1.1.1%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.1.1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 10 Sep 2021 13:11:39 +0200

## qubes-usb-proxy 1.1.1%2Bdeb12u1

=== debian/changelog ===
qubes-usb-proxy (1.1.1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 10 Sep 2021 13:11:39 +0200

## qubes-usb-proxy 1.1.2%2Bdeb11u1

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,9 @@
 	install qubes-rpc/qubes.USB $(DESTDIR)/etc/qubes-rpc
 	install -d $(DESTDIR)/usr/lib/qubes
 	install src/usb-* $(DESTDIR)/usr/lib/qubes
+	install -d $(DESTDIR)/etc/qubes/suspend-pre.d
+	ln -s ../../../usr/lib/qubes/usb-detach-all \
+		$(DESTDIR)/etc/qubes/suspend-pre.d/usb-detach-all.sh
 
 PYTHON2_SITELIB ?= $(shell python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")

=== debian/changelog ===
qubes-usb-proxy (1.1.2+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 27 Oct 2022 02:50:39 +0200

qubes-usb-proxy (1.1.2) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

  [ Marek Marczykowski-Górecki ]
  * Use async/await
  * Detach all devices before suspending

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 27 Oct 2022 02:50:39 +0200

## qubes-usb-proxy 1.1.2%2Bdeb12u1

=== debian/changelog ===
qubes-usb-proxy (1.1.2+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 27 Oct 2022 02:50:39 +0200

## qubes-usb-proxy 1.1.3%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.1.3+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 18 Jan 2023 13:50:25 +0100

qubes-usb-proxy (1.1.3) unstable; urgency=medium

  [ Rudd-O ]
  * Fix sys-usb: keyerror that prevents persistent attachments on VM
    start.

  [ Frédéric Pierret (fepitre) ]
  * Cleanup python2 code and packaging
  * spec: add BR python3-setuptools

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 Jan 2023 13:50:25 +0100

## qubes-usb-proxy 1.1.3%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.1.3+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 18 Jan 2023 13:50:25 +0100

## qubes-usb-proxy 1.1.3%2Bdeb12u1

=== debian/changelog ===
qubes-usb-proxy (1.1.3+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 18 Jan 2023 13:50:25 +0100

## qubes-usb-proxy 1.1.4%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.1.4+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 18 Jan 2023 22:01:31 +0100

qubes-usb-proxy (1.1.4) unstable; urgency=medium

  * Add missing import collections

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 Jan 2023 22:01:31 +0100

## qubes-usb-proxy 1.1.4%2Bdeb12u1

=== debian/changelog ===
qubes-usb-proxy (1.1.4+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 18 Jan 2023 22:01:31 +0100

## qubes-usb-proxy 1.1.5%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.1.5+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sat, 29 Apr 2023 03:28:05 +0200

qubes-usb-proxy (1.1.5) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Rework Archlinux packaging
  * Bare support for new packaging with PKGBUILD.in

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 29 Apr 2023 03:28:05 +0200

## qubes-usb-proxy 1.1.5%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.1.5+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 29 Apr 2023 03:28:05 +0200

## qubes-usb-proxy 1.1.5%2Bdeb12u1

=== debian/changelog ===
qubes-usb-proxy (1.1.5+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 29 Apr 2023 03:28:05 +0200

## qubes-usb-proxy 1.1.5%2Bdeb13u1

=== debian/changelog ===
qubes-usb-proxy (1.1.5+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sat, 29 Apr 2023 03:28:05 +0200

## qubes-usb-proxy 1.2.0%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.2.0+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 27 Mar 2024 21:16:29 +0100

qubes-usb-proxy (1.2.0) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * tests: add trailing newline to qubes.USBAttach input

  [ Demi Marie Obenour ]
  * Clean up various shell scripts
  * Support devices blocked by usbguard

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 27 Mar 2024 21:16:29 +0100

## qubes-usb-proxy 1.2.0%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.2.0+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 27 Mar 2024 21:16:29 +0100

## qubes-usb-proxy 1.2.0%2Bdeb12u1

=== Makefile ===
--- 
+++ 
@@ -9,12 +9,6 @@
 	ln -s ../../../usr/lib/qubes/usb-detach-all \
 		$(DESTDIR)/etc/qubes/suspend-pre.d/usb-detach-all.sh
 
-PYTHON2_SITELIB ?= $(shell python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")
-
-install-dom0-py2:
-	python2 setup.py install -O1 --root $(DESTDIR)
-	rm -f $(DESTDIR)$(PYTHON2_SITELIB)/qubesusbproxy/core3ext.py
-
 install-dom0:
 	python3 setup.py install -O1 --root $(DESTDIR)
 	install -D -m 0664 qubes-rpc/qubes.USB.policy $(DESTDIR)/etc/qubes-rpc/policy/qubes.USB

=== debian/changelog ===
qubes-usb-proxy (1.2.0+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 27 Mar 2024 21:16:29 +0100

## qubes-usb-proxy 1.2.0%2Bdeb13u1

=== debian/changelog ===
qubes-usb-proxy (1.2.0+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Wed, 27 Mar 2024 21:16:29 +0100

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DESTDIR=$(shell readlink -m .)/debian/qubes-usb-proxy

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	make install-vm

## qubes-usb-proxy 1.2.1%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.2.1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Mon, 15 Apr 2024 03:27:55 +0200

qubes-usb-proxy (1.2.1) unstable; urgency=medium

  * Remove too strict validation of a trusted parameter

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 15 Apr 2024 03:27:55 +0200

## qubes-usb-proxy 1.2.1%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.2.1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 15 Apr 2024 03:27:55 +0200

## qubes-usb-proxy 1.2.1%2Bdeb12u1

=== debian/changelog ===
qubes-usb-proxy (1.2.1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 15 Apr 2024 03:27:55 +0200

## qubes-usb-proxy 1.2.1%2Bdeb13u1

=== debian/changelog ===
qubes-usb-proxy (1.2.1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 15 Apr 2024 03:27:55 +0200

## qubes-usb-proxy 1.2.2%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.2.2+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 29 May 2024 11:48:04 +0200

qubes-usb-proxy (1.2.2) unstable; urgency=medium

  * Do not needlessly reattach device to usbip-host
  * Add mechanism to reset device just before attaching
  * Enable reset on attach for Nitrokey 3 Bootloader

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 29 May 2024 11:48:04 +0200

## qubes-usb-proxy 1.2.2%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.2.2+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 29 May 2024 11:48:04 +0200

## qubes-usb-proxy 1.2.2%2Bdeb12u1

=== debian/changelog ===
qubes-usb-proxy (1.2.2+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 29 May 2024 11:48:04 +0200

## qubes-usb-proxy 1.2.2%2Bdeb13u1

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 	install qubes-rpc/qubes.USB $(DESTDIR)/etc/qubes-rpc
 	install -d $(DESTDIR)/usr/lib/qubes
 	install src/usb-* $(DESTDIR)/usr/lib/qubes
+	install -d $(DESTDIR)/usr/lib/udev/rules.d
+	install src/*.rules $(DESTDIR)/usr/lib/udev/rules.d
 	install -d $(DESTDIR)/etc/qubes/suspend-pre.d
 	ln -s ../../../usr/lib/qubes/usb-detach-all \
 		$(DESTDIR)/etc/qubes/suspend-pre.d/usb-detach-all.sh

=== debian/changelog ===
qubes-usb-proxy (1.2.2+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Wed, 29 May 2024 11:48:04 +0200

## qubes-usb-proxy 1.2.2%2Bjammy1

=== debian/changelog ===
qubes-usb-proxy (1.2.2+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 29 May 2024 11:48:04 +0200

## qubes-usb-proxy 1.3.0%2Bdeb10u1

=== debian/changelog ===
qubes-usb-proxy (1.3.0+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 21 Jun 2024 15:29:50 +0200

qubes-usb-proxy (1.3.0) unstable; urgency=medium

  [ Piotr Bartman ]
  * q-dev: implement part of new API for DeviceInfo
  * q-dev: events
  * q-dev: DeviceInterface
  * q-dev: assignments -> get_assigned_devices
  * q-dev: fire device-attach on domain start
  * q-dev: usb device full identity
  * q-dev: frontend_device -> attachment
  * q-dev: implementation of self_identity
  * q-dev: port assignment
  * q-dev: use ext/utils
  * q-dev: device protocol
  * q-dev: minor optimization

  [ Piotr Bartman-Szwarc ]
  * q-dev: update integ tests
  * q-dev: fix attaching usb devices on domain start
  * q-dev: small fix for unknown devices
  * q-dev: keep partial backward compatibility
  * q-dev: keep partial backward compatibility for auto-attachment
  * q-dev: keep partial backward compatibility in tests
  * q-dev: do not use unicode_escape
  * q-dev: cleanup
  * q-dev: handle invalid values
  * q-dev: handle invalid values
  * q-dev: fix loop

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 21 Jun 2024 15:29:50 +0200

## qubes-usb-proxy 1.3.0%2Bdeb11u1

=== debian/changelog ===
qubes-usb-proxy (1.3.0+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 21 Jun 2024 15:29:50 +0200

## qubes-usb-proxy 1.3.0%2Bdeb12u1

=== debian/changelog ===
qubes-usb-proxy (1.3.0+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 21 Jun 2024 15:29:50 +0200

## qubes-usb-proxy 1.3.0%2Bdeb13u1

=== debian/changelog ===
qubes-usb-proxy (1.3.0+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 21 Jun 2024 15:29:50 +0200

## qubes-usb-proxy 1.3.0%2Bjammy1

=== debian/changelog ===
qubes-usb-proxy (1.3.0+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 21 Jun 2024 15:29:50 +0200

## qubes-usb-proxy 1.3.1%2Bdeb12u1

=== debian/changelog ===
qubes-usb-proxy (1.3.1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 24 Aug 2024 02:42:07 +0200

qubes-usb-proxy (1.3.1) unstable; urgency=medium

  * tests: assertEquals -> assertEqual

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 24 Aug 2024 02:42:07 +0200

## qubes-usb-proxy 1.3.1%2Bdeb13u1

=== debian/changelog ===
qubes-usb-proxy (1.3.1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sat, 24 Aug 2024 02:42:07 +0200

## qubes-usb-proxy 1.3.1%2Bjammy1

=== debian/changelog ===
qubes-usb-proxy (1.3.1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 24 Aug 2024 02:42:07 +0200

## qubes-usb-proxy 1.3.2%2Bdeb12u1

=== debian/changelog ===
qubes-usb-proxy (1.3.2+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 28 Sep 2024 15:49:42 +0200

qubes-usb-proxy (1.3.2) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Replace line-feed with comma plus space in message

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Sep 2024 15:49:42 +0200

## qubes-usb-proxy 1.3.2%2Bdeb13u1

=== debian/changelog ===
qubes-usb-proxy (1.3.2+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sat, 28 Sep 2024 15:49:42 +0200

## qubes-usb-proxy 1.3.2%2Bjammy1

=== debian/changelog ===
qubes-usb-proxy (1.3.2+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 28 Sep 2024 15:49:42 +0200

## qubes-usb-proxy 1.3.3%2Bdeb12u1

=== debian/changelog ===
qubes-usb-proxy (1.3.3+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 16 Nov 2024 19:23:11 +0100

qubes-usb-proxy (1.3.3) unstable; urgency=medium

  [ Carlo Field ]
  * Fix typo in variable when stderr ends with a comma

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 16 Nov 2024 19:23:11 +0100

## qubes-usb-proxy 1.3.3%2Bdeb13u1

=== debian/changelog ===
qubes-usb-proxy (1.3.3+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sat, 16 Nov 2024 19:23:11 +0100

## qubes-usb-proxy 4.3.0%2Bjammy1

=== debian/changelog ===
qubes-usb-proxy (4.3.0+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sun, 17 Nov 2024 03:48:31 +0100

qubes-usb-proxy (4.3.0) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: drop R4.1, add R4.3, add openqa build

  [ Piotr Bartman-Szwarc ]
  * q-dev: port
  * q-dev: check identity
  * q-dev: refactor device_protocol.py
  * q-dev: implements device_id
  * q-dev: fix detaching
  * q-dev: update device utils
  * q-dev: assignment.devices
  * q-dev: backward compatibility
  * q-dev: fix detaching
  * q-dev: auto-attaching order
  * q-dev: fix auto-attach
  * q-dev: add more tests
  * q-dev: update utils
  * q-dev: correct english grammar
  * q-dev: async confirmation
  * q-dev: update utils.py
  * q-dev: forbid usb assignment options
  * q-dev: updated tests and wait for attachment to be done
  * q-dev: rename attach-confirm -> qubes-device-attach-confirm
  * q-dev: update tests
  * typo
  * q-dev: cleanup
  * q-dev: call attach-confirm socket directly
  * q-dev: update common part with admin-core

  [ Frédéric Pierret (fepitre) ]
  * Use Port for device and make mypy happy
  * Remove core2 tests
  * tests: use AsyncMock

  [ Piotr Bartman-Szwarc ]
  * q-dev: replace overriding with patching

  [ Marek Marczykowski-Górecki ]
  * Require new core-admin
  * ci: drop R4.2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 Nov 2024 03:48:31 +0100

## qubes-usb-proxy 4.3.0%2Bnoble1

=== debian/changelog ===
qubes-usb-proxy (4.3.0+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 17 Nov 2024 03:48:31 +0100

## qubes-usb-proxy 4.3.2%2Bjammy1

=== debian/changelog ===
qubes-usb-proxy (4.3.2+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 06 Aug 2025 05:00:13 +0200

qubes-usb-proxy (4.3.2) unstable; urgency=medium

  * Remove old-format policy file
  * Use rpc config to run qubes.USB as root
  * Properly configure USB 3.1 speed, if supported by the kernel
  * Accept USB 3.2 Gen 2x2 (20Gbps) speed

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 06 Aug 2025 05:00:13 +0200

qubes-usb-proxy (4.3.1) unstable; urgency=medium

  * rpm: add BR for directory ownership check
  * Fix exception class
  * Fix clearing available devices cache on domain shutdown

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 20 Jul 2025 05:31:44 +0200

## qubes-usb-proxy 4.3.2%2Bnoble1

=== debian/changelog ===
qubes-usb-proxy (4.3.2+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Wed, 06 Aug 2025 05:00:13 +0200

## qubes-usb-proxy 4.3.2+deb12u1+devel1

=== debian/changelog ===
qubes-usb-proxy (4.3.2+deb12u1+devel1) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 13:00:53 +0000

## qubes-usb-proxy 4.3.2+deb13u1+devel1

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,9 @@
 	install qubes-rpc/qubes.USBAttach $(DESTDIR)/etc/qubes-rpc
 	install qubes-rpc/qubes.USBDetach $(DESTDIR)/etc/qubes-rpc
 	install qubes-rpc/qubes.USB $(DESTDIR)/etc/qubes-rpc
+	install -d $(DESTDIR)/etc/qubes/rpc-config
+	install -T -m 0644 qubes-rpc/qubes.USB.config \
+		$(DESTDIR)/etc/qubes/rpc-config/qubes.USB
 	install -d $(DESTDIR)/usr/lib/qubes
 	install src/usb-* $(DESTDIR)/usr/lib/qubes
 	install -d $(DESTDIR)/usr/lib/udev/rules.d
@@ -13,5 +16,4 @@
 
 install-dom0:
 	python3 setup.py install -O1 --root $(DESTDIR)
-	install -D -m 0664 qubes-rpc/qubes.USB.policy $(DESTDIR)/etc/qubes-rpc/policy/qubes.USB

=== debian/changelog ===
qubes-usb-proxy (4.3.2+deb13u1+devel1) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 13:03:30 +0000

## qubes-usb-proxy 4.3.3+deb12u1+devel2

=== debian/changelog ===
qubes-usb-proxy (4.3.3+deb12u1+devel2) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Thu, 25 Dec 2025 18:22:42 +0000

qubes-usb-proxy (4.3.3) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Fix udev permissions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 25 Dec 2025 19:21:53 +0100

## qubes-usb-proxy 4.3.3+deb13u1+devel2

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	install -d $(DESTDIR)/usr/lib/qubes
 	install src/usb-* $(DESTDIR)/usr/lib/qubes
 	install -d $(DESTDIR)/usr/lib/udev/rules.d
-	install src/*.rules $(DESTDIR)/usr/lib/udev/rules.d
+	install -m 644 src/*.rules $(DESTDIR)/usr/lib/udev/rules.d
 	install -d $(DESTDIR)/etc/qubes/suspend-pre.d
 	ln -s ../../../usr/lib/qubes/usb-detach-all \
 		$(DESTDIR)/etc/qubes/suspend-pre.d/usb-detach-all.sh

=== debian/changelog ===
qubes-usb-proxy (4.3.3+deb13u1+devel2) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Thu, 25 Dec 2025 18:25:13 +0000
